"""empty message

Revision ID: 3f0b77aced75
Revises: 0f3f06abe6c5
Create Date: 2021-12-06 17:36:27.260603

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '3f0b77aced75'
down_revision = '0f3f06abe6c5'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('hearings',
    sa.Column('created_at', sa.DateTime(), server_default=sa.text('now()'), nullable=False),
    sa.Column('updated_at', sa.DateTime(), server_default=sa.text('now()'), nullable=False),
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('court_date', sa.DateTime(), nullable=False),
    sa.Column('address', sa.String(length=255), nullable=False),
    sa.Column('docket_id', sa.String(length=255), nullable=False),
    sa.Column('courtroom_id', sa.Integer(), nullable=True),
    sa.Column('plaintiff_id', sa.Integer(), nullable=True),
    sa.Column('plaintiff_attorney_id', sa.Integer(), nullable=True),
    sa.Column('defendant_attorney_id', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['courtroom_id'], ['courtrooms.id'], ),
    sa.ForeignKeyConstraint(['defendant_attorney_id'], ['attorneys.id'], ondelete='CASCADE'),
    sa.ForeignKeyConstraint(['docket_id'], ['cases.docket_id'], ),
    sa.ForeignKeyConstraint(['plaintiff_attorney_id'], ['attorneys.id'], ondelete='CASCADE'),
    sa.ForeignKeyConstraint(['plaintiff_id'], ['plaintiffs.id'], ondelete='CASCADE'),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('court_date', 'docket_id')
    )
    op.create_table('hearing_defendants',
    sa.Column('hearing_id', sa.Integer(), nullable=False),
    sa.Column('defendant_id', sa.Integer(), nullable=False),
    sa.ForeignKeyConstraint(['defendant_id'], ['defendants.id'], ondelete='CASCADE'),
    sa.ForeignKeyConstraint(['hearing_id'], ['hearings.id'], ondelete='CASCADE'),
    sa.PrimaryKeyConstraint('hearing_id', 'defendant_id')
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('hearing_defendants')
    op.drop_table('hearings')
    # ### end Alembic commands ###
